Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class WindowStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  javax.portlet.WindowStateException

All Implemented Interfaces
  Serializable

    public class WindowStateException

extends PortletException

The `WindowStateException` is thrown when a portlet tries to use a window state that is not supported by the current runtime environment or the portlet.

See Also
  Serialized Form

Constructor Summary
`WindowStateException(String text, Throwable cause, WindowState state)` Constructs a new portlet state exception when the portlet needs to do the following: throw an exception include a message about the "root cause" that interfered with its normal operation include a description message
`WindowStateException(String text, WindowState state)` Constructs a new portlet state exception with the given text.
`WindowStateException(Throwable cause, WindowState state)` Constructs a new portlet state exception when the portlet needs to throw an exception.

Method Summary
`WindowState` | `getState()` Returns the portlet state causing this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowStateException

    public WindowStateException(String text,
                                WindowState state)

  Constructs a new portlet state exception with the given text. The portlet container may use the text write it to a log.

  Parameters
    `text` - the exception text
    `state` - the state causing the exception

### WindowStateException

    public WindowStateException(String text,
                                Throwable cause,
                                WindowState state)

  Constructs a new portlet state exception when the portlet needs to do the following:
  throw an exception
  - include a message about the "root cause" that interfered with its normal operation
  - include a description message

  Parameters
    `text` - the exception text
    `cause` - the root cause
    `state` - the state causing the exception

### WindowStateException

    public WindowStateException(Throwable cause,
                                WindowState state)

  Constructs a new portlet state exception when the portlet needs to throw an exception. The exception message is based on the localized message of the underlying exception.

  Parameters
    `cause` - the root cause
    `state` - the state causing the exception

Method Detail

### getState

    public WindowState getState()

  Returns the portlet state causing this exception.

  Returns
    the window state causing this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.